## ros-indigo-cob-trajectory-controller 0.6.17

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(cob_trajectory_controller)

find_package(catkin REQUIRED COMPONENTS actionlib cob_srvs control_msgs dynamic_reconfigure roscpp sensor_msgs std_msgs std_srvs trajectory_msgs)

### Message Generation ###
generate_dynamic_reconfigure_options(
  cfg/CobTrajectoryController.cfg
)

catkin_package()

### BUILD ###
include_directories(common/include ${catkin_INCLUDE_DIRS})

add_executable(${PROJECT_NAME} ros/src/${PROJECT_NAME}.cpp common/src/genericArmCtrl.cpp common/src/RefValJS_PTP.cpp common/src/RefValJS_PTP_Trajectory.cpp common/src/TimeStamp.cpp)
add_dependencies(${PROJECT_NAME} ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})

### INSTALL ###
install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-indigo-cob-trajectory-controller (0.6.17-0trusty) trusty; urgency=high



 -- Alexander Bubeck <aub@ipa.fhg.de>  Fri, 20 Jul 2018 22:00:00 -0000

ros-indigo-cob-trajectory-controller (0.6.16-0trusty) trusty; urgency=high

  * Merge remote-tracking branch 'origin/indigo_release_candidate' into indigo_dev
  * Merge pull request #159 <https://github.com/ipa320/cob_control/issues/159> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Contributors: Felix Messmer, ipa-fxm, ipa-uhr-mk

 -- Alexander Bubeck <aub@ipa.fhg.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-indigo-cob-trajectory-controller (0.6.15-0trusty) trusty; urgency=high

  * manually fix changelog
  * Contributors: ipa-fxm

 -- Alexander Bubeck <aub@ipa.fhg.de>  Mon, 17 Jul 2017 22:00:00 -0000

ros-indigo-cob-trajectory-controller (0.6.14-0trusty) trusty; urgency=high



 -- Alexander Bubeck <aub@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-indigo-cob-trajectory-controller (0.6.13-0trusty) trusty; urgency=high



 -- Alexander Bubeck <aub@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-indigo-cob-trajectory-controller (0.6.12-0trusty) trusty; urgency=high



 -- Alexander Bubeck <aub@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-indigo-cob-trajectory-controller (0.6.11-0trusty) trusty; urgency=high



 -- Alexander Bubeck <aub@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-indigo-cob-trajectory-controller (0.6.10-0trusty) trusty; urgency=high

  * fix CMakeLists
  * Contributors: ipa-fxm

 -- Alexander Bubeck <aub@ipa.fhg.de>  Sun, 30 Aug 2015 22:00:00 -0000

ros-indigo-cob-trajectory-controller (0.6.9-0trusty) trusty; urgency=high

  * boost revision
  * do not install headers in executable-only packages
  * explicit dependency to boost
  * remove obsolete autogenerated mainpage.dox files
  * more dependency fixes according to review comments
  * remove trailing whitespaces
  * migrate to package format 2
  * cleanup
  * sort dependencies
  * review dependencies
  * Contributors: ipa-fxm

 -- Alexander Bubeck <aub@ipa.fhg.de>  Mon, 24 Aug 2015 22:00:00 -0000

ros-indigo-cob-trajectory-controller (0.6.8-0trusty) trusty; urgency=high



 -- Alexander Bubeck <aub@ipa.fhg.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-indigo-cob-trajectory-controller (0.6.7-0trusty) trusty; urgency=high

  * fix topic names
  * replace brics_actuator
  * use new Trigger from std_srvs
  * cleanup/replace cob_srvs
  * fix getParam, fix ActionServer auto_start
  * adapt cob_trajecory_controller to new namespaces
  * remove obsolete files
  * Contributors: ipa-fxm

 -- Alexander Bubeck <aub@ipa.fhg.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-indigo-cob-trajectory-controller (0.6.6-0trusty) trusty; urgency=high



 -- Alexander Bubeck <aub@ipa.fhg.de>  Wed, 17 Dec 2014 23:00:00 -0000

ros-indigo-cob-trajectory-controller (0.6.5-0trusty) trusty; urgency=high



 -- Alexander Bubeck <aub@ipa.fhg.de>  Wed, 17 Dec 2014 23:00:00 -0000

ros-indigo-cob-trajectory-controller (0.6.4-0trusty) trusty; urgency=high



 -- Alexander Bubeck <aub@ipa.fhg.de>  Mon, 15 Dec 2014 23:00:00 -0000

ros-indigo-cob-trajectory-controller (0.6.3-0trusty) trusty; urgency=high



 -- Alexander Bubeck <aub@ipa.fhg.de>  Mon, 15 Dec 2014 23:00:00 -0000

ros-indigo-cob-trajectory-controller (0.6.2-0trusty) trusty; urgency=high

  * fixed preemtion state in run method - trajectory eecution should be stopped if the action is in preemption state
  * Contributors: Benjamin Maidel

 -- Alexander Bubeck <aub@ipa.fhg.de>  Sun, 14 Dec 2014 23:00:00 -0000

ros-indigo-cob-trajectory-controller (0.6.1-0trusty) trusty; urgency=high



 -- Alexander Bubeck <aub@ipa.fhg.de>  Sun, 21 Sep 2014 22:00:00 -0000

ros-indigo-cob-trajectory-controller (0.5.3-0trusty) trusty; urgency=high

  * install tags
  * Contributors: ipa-fxm

 -- Alexander Bubeck <aub@ipa.fhg.de>  Sun, 30 Mar 2014 22:00:00 -0000

ros-indigo-cob-trajectory-controller (0.5.2-0trusty) trusty; urgency=high



 -- Alexander Bubeck <aub@ipa.fhg.de>  Wed, 19 Mar 2014 23:00:00 -0000

ros-indigo-cob-trajectory-controller (0.5.1-0trusty) trusty; urgency=high

  * fixed CMakeLists
  * cherry-pick
  * removed a lot of code related to packages not available in hydro anymore
  * try to use cob_trajectory_controller with gazebo simulation
  * output long unsigned variables correctly
  * changes for hydro
  * cleaned up CMakeLists and added install directives
  * added missing message_gen deps
  * further modifications for catkin, now everything is compiling and linking
  * futher include and linkpath modifications
  * compiling but still some linker errors
  * Second catkinization push
  * First catkinization, still need to update some CMakeLists.txt
  * Fixed dependencies
  * Groovy migartion
  * test
  * support for runtime modification of trajectories, working but not entirely smooth yet
  * initial version of support for runtime modification of trajectories, still needs some improvements
  * removed unused topic
  * switched from pr2_controllers_msgs::JointTrajectoryAction to control_msgs::FollowJointTrajectory
  * add return value
  * remove hardcoded arm
  * fixed action result for stopping trajectory
  * abort old trajectory when new one is issued
  * trajectory controller fixes tested on robot
  * Rejecting with timeout if arm doesn't go into velocity mode, aborting action on control failure, see http://www.care-o-bot-research.org/trac/ticket/275
  * add some TODO comments
  * remove blub
  * changes for fuerte compatibility
  * some small changes for frequency refactoring
  * changed controller to take frequency out of configuration
  * update manifest desription
  * renamed services of trajectory_controller
  * remove deprecated tests
  * removed deprecated yaml and launch files
  * fixed simulation bug
  * added services to set velocities and accelerations in the cob_trajectory_controller
  * removed compiler warnings
  * smore interfaces for testing in simulation


=== debian/control ===
Source: ros-indigo-cob-trajectory-controller
Section: misc
Priority: extra
Maintainer: Alexander Bubeck <aub@ipa.fhg.de>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib, ros-indigo-catkin, ros-indigo-cob-srvs, ros-indigo-control-msgs, ros-indigo-dynamic-reconfigure, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-std-srvs, ros-indigo-trajectory-msgs
Homepage: http://ros.org/wiki/cob_trajectory_controller
Standards-Version: 3.9.2

Package: ros-indigo-cob-trajectory-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib, ros-indigo-cob-srvs, ros-indigo-control-msgs, ros-indigo-dynamic-reconfigure, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-std-srvs, ros-indigo-trajectory-msgs
Description: This package provides a trajectory controller which controlls velocities for a chain of joints.
 This controller can be used e.g. with [[schunk_powercube_chain]].

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-cob-trajectory-controller//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
